<?xml version="1.0" encoding="UTF-8"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.3/phpunit.xsd"
         bootstrap="vendor/autoload.php"
         colors="true"
         convertErrorsToExceptions="true"
         convertNoticesToExceptions="true"
         convertWarningsToExceptions="true"
         processIsolation="false"
         stopOnFailure="false">
    <coverage processUncoveredFiles="true">
        <include>
            <directory suffix=".php">src</directory>
        </include>
        <exclude>
            <directory suffix=".php">src/Config</directory>
            <directory suffix=".php">src/bootstrap.php</directory>
        </exclude>
    </coverage>
    <testsuites>
        <testsuite name="Models">
            <directory>tests/Models</directory>
        </testsuite>
        <testsuite name="Services">
            <directory>tests/Services</directory>
        </testsuite>
        <testsuite name="Controllers">
            <directory>tests/Controllers</directory>
        </testsuite>
    </testsuites>
    <logging>
        <log type="coverage-html" target="build/coverage"/>
        <log type="coverage-text" target="php://stdout"/>
        <log type="junit" target="build/logs/junit.xml"/>
    </logging>
</phpunit>